---
title: "Efficient and Secure GitOps using Gitea, Ansible, and Github Actions"
date: 2024-07-01
draft: true
description: The Polyfill supply chain attack highlights critical security vulnerabilities in the web ecosystem. What can be done to secure open-source dependencies and mitigate supply chain risks?
tags:
  - Security
  - DevOps
  - Network Automation
---

I run a pretty small homelab, for what it's worth. I have about 4 LXC containers and two QEMU virtual machines running at any given time, the majority of which just serve as convenient frontends to store my data.

![Picture of my Proxmox Container List](/images/proxmox-machines.png)

Despite the fact that I manage so few servers and services for my needs, I still find myself wanting some way to deploy changes across all of my machines simultaneously. For this purpose, I have used and maintained a set of Ansible playbooks which, for the most part, have suited my workflow.